Draft Rectangle
|
Menu location |
---|
Drafting → Rectangle 2D Drafting → Rectangle |
Workbenches |
Draft, BIM |
Default shortcut |
R E |
Introduced in version |
0.7 |
See also |
None |
Description
The Draft Rectangle command creates a rectangle on the current working plane from two points.
The corners of a Draft Rectangle can be filleted (rounded) or chamfered by changing its DataFillet Radius or DataChamfer Size respectively. It is also possible to subdivide a Draft Rectangle by changing its DataColumns and/or DataRows property.
Rectangle defined by two points
Usage
See also: Draft Tray, Draft Snap and Draft Constrain.
- There are several ways to invoke the command:
- The Rectangle task panel opens. See Options for more information.
- Pick the first point in the 3D view, or type coordinates and press the
Enter point button.
- Pick the second point in the 3D view, or type coordinates and press the
Enter point button. This point must not be constrained to the X, Y or Z axis.
Options
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the
Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
- Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
- Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
- Press F or click the Filled checkbox to toggle filled mode. If filled mode is on, the created rectangle will have DataMake Face set to
true
and will have a filled face. - Press N or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating rectangles.
- Press S to switch Draft snapping on or off.
- Press Esc or the Close button to abort the command.
Notes
- A Draft Rectangle can be edited with the Draft Edit command.
Preferences
See also: Preferences Editor and Draft Preferences.
- If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Plane instead of a Draft Rectangle.
Properties
See also: Property editor.
A Draft Rectangle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:
Data
Draft
- DataArea (
Area
): (read-only) specifies the area of the face of the rectangle. The value will be0.0
if DataMake Face iffalse
. - DataChamfer Size (
Length
): specifies the length of the chamfers at the corners of the rectangle. - DataColumns (
Integer
): specifies the number of equal-sized columns in which the rectangle is divided. - DataFillet Radius (
Length
): specifies the radius of the fillets at the corners of the rectangle. - DataHeight (
Distance
): specifies the height of the rectangle. - DataLength (
Distance
): specifies the length of the rectangle. - DataMake Face (
Bool
): specifies if the rectangle makes a face or not. If it istrue
a face is created, otherwise only the perimeter is considered part of the object. - DataRows (
Integer
): specifies the number of equal-sized rows in which the rectangle is divided.
View
Draft
- ViewPattern (
Enumeration
): specifies the Draft Pattern with which to fill the face of the rectangle. This property only works if DataMake Face istrue
and if ViewDisplay Mode isFlat Lines
. - ViewPattern Size (
Float
): specifies the size of the Draft Pattern. - ViewTexture Image (
File
): specifies the path of the image file to be mapped onto the face of the rectangle. Blanking this property will remove the image. The rectangle should have the same proportions as the image to avoid distortions.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a Draft Rectangle use the make_rectangle
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeRectangle
method.
rectangle = make_rectangle(length, height, placement=None, face=None, support=None)
- Creates a
rectangle
object withlength
in the X direction andheight
in the Y direction, with units in millimeters. - If
placement
isNone
the rectangle is created at the origin and the length will be parallel to the X axis. - If
face
isTrue
, the rectangle will make a face, that is, it will appear filled.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
rectangle1 = Draft.make_rectangle(4000, 1000)
rectangle2 = Draft.make_rectangle(1000, 4000)
zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 45))
rectangle3 = Draft.make_rectangle(3500, 250, placement=place3)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub